package com.laihua.pushtestproject

import android.app.Application
import com.laihua.push.PushManager
import com.laihua.push.platform.InitParam

/**
 * Author: pengjunjing
 * Date: 2021/5/18
 * Description:
 */
class MyApplication : Application() {

    override fun onCreate() {
        super.onCreate()
        PushManager.instance.initContext(this)
        PushManager.instance.initMiPush(InitParam("2882303761519924093", "5121992433093"))
        PushManager.instance.initHmsPush()
        //OPPO APPID 30532383
        PushManager.instance.initOppoPush(
            InitParam(
                "220c8dc643ce4a709b116a0aa26e6bf4",
                "0305238c1c6949c38caa1fdd8070b4aa"
            )
        )
        PushManager.instance.initFlyMe(InitParam("141361", "f3e78d580c7d46c295263b3dde94ca72"))

    }
}